# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ zlib-devel
# END SourceDeps(oneline)
Name:           fritzing
Version:        0.7.12b
Release:        alt1_1
Summary:        Electronic Design Automation software; from prototype to product

Group:          Engineering
License:        GPLv3+
URL:            http://fritzing.org/
Source0:        http://fritzing.org/download/%{version}/source-tarball/%{name}-%{version}.source.tar.bz2
Source1:        fritzing.desktop
# Fedora-specific patch to disable internal auto-updating feature.
Patch0:         fritzing-disable-autoupdate.patch

BuildRequires:  qt4-devel libqt4-devel desktop-file-utils boost-devel boost-filesystem-devel boost-wave-devel boost-graph-parallel-devel boost-math-devel boost-mpi-devel boost-program_options-devel boost-signals-devel boost-intrusive-devel boost-asio-devel libquazip-devel libminizip-devel
Requires:       fonts-ttf-google-droid-sans
Requires:       fonts-ttf-google-droid-sans-mono
Source44: import.info

%description
Fritzing is an open-source initiative to support designers, artists,
researchers and hobbyists to take the step from physical prototyping
to actual product. It is in the spirit of Processing and Arduino which
allows users to document their Arduino and other electronic-based 
prototypes, and to create a PCB layout for manufacturing.

%prep
%setup -q -n %{name}-%{version}.source
rm -f pri/quazip.pri
rm -rf src/lib/quazip

sed -i 's/\r//' README.txt
sed -i 's/\r//' LICENSE.CC-BY-SA

%patch0 -p1 -b .disable-updates

%build
CXXFLAGS="%{optflags}"
qmake-qt4 DEFINES=QUAZIP_INSTALLED
make %{?_smp_mflags} V=1

%install
make install INSTALL_ROOT=%{buildroot}

# A few files in /usr/share/fritzing end up executable.
find %{buildroot}%{_datadir}/%{name} -type f -exec %{__chmod} 644 {} \;
find %{buildroot}%{_datadir}/%{name} -type d -exec %{__chmod} 755 {} \;

# Icon is dumped in /usr/share/icons by default, need to move it.
mv %{buildroot}%{_datadir}/icons %{buildroot}%{_datadir}/pixmaps

# Included .desktop file is suitable for SuSE, not Fedora.
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%doc README.txt LICENSE.GPL2 LICENSE.GPL3 LICENSE.CC-BY-SA
%{_bindir}/Fritzing
%{_datadir}/%{name}
%{_datadir}/applications/fritzing.desktop
%{_datadir}/pixmaps/fritzing.png
%{_mandir}/man?/*

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.12b-alt1_1
- update to new release by fcimport

* Mon Jan 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.11b-alt1_2
- update to new release by fcimport

* Sat Dec 01 2012 Igor Vlasenko <viy@altlinux.ru> 0.7.5b-alt1_2
- converted for ALT Linux by srpmconvert tools

